moItRandNextMove(3)

NAME
moItRandNextMove - One of the possible moNextMove.

SYNOPSIS

#include <moItRandNextMove.h>

Inherits moNextMove< M >< M >.

  Public Member Functions
moItRandNextMove (moRandMove< M > &__rand_move, unsigned __max_iter)
The constructor.
bool operator() (M &__move, const EOT &__sol)
Generation of a new move.

  Private Types
typedef M::EOType EOT
Alias for the type.

  Private Attributes
moRandMove< M > & rand_move
A move generator (generally randomly).
unsigned max_iter
Iteration maximum number.
unsigned num_iter
Iteration current number.

Detailed Description

  template<class M> class moItRandNextMove< M >
One of the possible moNextMove. This class is a move (moMove) generator with a bound for the maximum number of iterations.

Definition at line 22 of file moItRandNextMove.h.

Constructor & Destructor Documentation

  template<class M> moItRandNextMove< M >::moItRandNextMove (moRandMove< M > & __rand_move, unsigned __max_iter) [inline]

The constructor.

Parameters only for initialising the attributes.

Parameters:
    __rand_move the random move generator.
    __max_iter the iteration maximum number.

Definition at line 37 of file moItRandNextMove.h.

Member Function Documentation

  template<class M> bool moItRandNextMove< M >::operator() (M & __move, const EOT & __sol) [inline]

Generation of a new move.

If the maximum number is not already reached, the current move is forgotten and remplaced by another one.

Parameters:
    __move the current move.
    __sol the current solution.

Returns:
    FALSE if the maximum number of iteration is reached, else TRUE.

Definition at line 52 of file moItRandNextMove.h.

References moItRandNextMove< M >::max_iter, moItRandNextMove< M >::num_iter, and moItRandNextMove< M >::rand_move.

Author

Generated automatically by Doxygen for PARADISEO-MO from the source code.